namespace CMSMicroservice.Application.UserOrderCQ.Commands.DeleteUserOrder;
public class DeleteUserOrderCommandValidator : AbstractValidator<DeleteUserOrderCommand>
{
    public DeleteUserOrderCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteUserOrderCommand>.CreateWithOptions((DeleteUserOrderCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
